Deletes user_profile

DELETE /api/v1/user/profile/{id}

Operation id: delete__api_v1_user_profile_id_

Description

Deletes an existing UserProfileDTO record in the user_profile table

Tags: UserProfile

Parameters

Path parameters

NameTypeRequiredDescription
idintegerYesid of existing UserProfile record

Query parameters

NameTypeRequiredDescription
tenant_idstringYestenant ID

Security

  • PhoenixToken-Authorization (apiKey)
    • PhoenixToken-Authorization

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
num_rows_deletedintegerNo
{
  "type": "object",
  "properties": {
    "num_rows_deleted": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}